Page MenuHomeFreeBSD

sysutils/intel-nvmupdate: NVM Update Utility for Intel(R) Ethernet Adapters
ClosedPublic

Authored by skozlov on Apr 4 2016, 4:14 PM.

Details

Summary

New port for Intel's nvmupdate utility.
Origin: https://downloadcenter.intel.com/download/25792/NVM-Update-Utility-for-Intel-Ethernet-Adapters-FreeBSD

The tool requires the latest version of if_ixl driver to be installed on the system, which is provided by intel-ixl-kmod package (D5761), and should not be committed before it. The requirement is mentioned in pkg-message of the port.

Caveats:

  • The port doesn't respect hier(7) as all the files of the tool must be in the same directory for it to function properly.
  • Wrapper script is installed to ${PREFIX}/sbin which changes the dir to the ${PREFIX}/intel-nvmupdate before running the tool as this is a tool's requirement.
  • If the user choses to have a backup copy of the old NVM while using the tool it's placed in the ${PREFIX}/intel-nvmupdate directory. If that happens - the backup and the intel-nvmupdate dir are preserved when the package is deinstalled.

Known bugs:

  • The tool doesn't work (coredumps) on latest 11-CURRENT before the upgrade process, no harm done to the hardware.

Putting my Intel hat on for this port.

Sponsored by: Intel Corporation

Test Plan

Poudriere log (portlint log embeded):


Used driver from D5761 and the tool to update NVM image from stock to the latest on XL710-QDA2, log:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

skozlov updated this revision to Diff 14869.Apr 4 2016, 4:14 PM
skozlov retitled this revision from to sysutils/intel-nvmupdate: NVM Update Utility for Intel(R) Ethernet Adapters.
skozlov updated this object.
skozlov edited the test plan for this revision. (Show Details)
skozlov added reviewers: sbruno, Intel Networking.
skozlov set the repository for this revision to rP FreeBSD ports repository.
mat added inline comments.Apr 4 2016, 4:19 PM
sysutils/intel-nvmupdate/Makefile
11 ↗(On Diff #14869)

set DISTVERSION= 5_02 instead of setting PORTVERSION, and use it here.

27–28 ↗(On Diff #14869)

Don't use both, just set

WRKSRC= ${WRKDIR}/XL710/FreeBSDx64
mat added inline comments.Apr 4 2016, 4:20 PM
sysutils/intel-nvmupdate/pkg-plist
63 ↗(On Diff #14869)

I'm not sure the whole @(..) is needed here, you are installing the file with INSTALL_PROGRAM, it should already be 755.

skozlov updated this object.Apr 4 2016, 4:23 PM
skozlov updated this revision to Diff 14872.Apr 4 2016, 4:40 PM
skozlov edited the test plan for this revision. (Show Details)

Implements suggestions from mat.

skozlov marked 3 inline comments as done.Apr 4 2016, 4:41 PM
This revision is now accepted and ready to land.Apr 4 2016, 11:48 PM
sbruno accepted this revision.Apr 11 2016, 4:49 PM
sbruno added a reviewer: portmgr.
sbruno edited edge metadata.

Need a "LGTM" from portmgr, and we can commit it. (I'll probably do it).

bapt removed a reviewer: portmgr.Apr 19 2016, 7:09 AM
bapt accepted this revision.Apr 19 2016, 7:11 AM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.

This LGTM, but also not that portmgr does not have to be involved in this review

This revision was automatically updated to reflect the committed changes.